#ifndef MAIN_H_
#define MAIN_H_

#define LED        BIT0
#define LEDDIR     P1DIR
#define LEDOUT     P1OUT
#define LEDON      LEDOUT |= LED                       //macros for LED ON
#define LEDOFF     LEDOUT &= ~LED                      //macros for LED OFF
#define LEDTOGGLE  LEDOUT ^= LED                       //macros for LED toggle

#define KEY         BIT7
#define KEYDIR      P1DIR
#define KEYIN       P1IN
#define KEYREN      P1REN
#define KEYOUT      P1OUT
#define GETKEY      (KEYIN & KEY)                       //macros for get button

#endif /* MAIN_H_ */
